?
Solved

Problems with upgrading from Blackberry Enterprise Server 4.1 to Blackberry Enterprise Server 5.0

Posted on 2010-01-04
2
Medium Priority
?
1,174 Views
Last Modified: 2013-11-10
Hi,

I'm trying to in-place upgrade from Blackberry Enterprise Server 5.0, Blackberry Enterprise Server 4.1, Blackberry for Domino on a Windows 2003 server. There's only one BES server in our organisation.

Original BES version was 4.1.2.
Have upgraded to numerous Maintenance Releases and Service Packs
Current BES (according to BlackBerry Manager & the SQL database) is 4.1.7.17

Other Version info from BB Manager includes:
USB Channel Controller; 4.1.0.11
Device manager 4.3.1.12
Application Loader: 4.7.0.57
RIM Intel Programmer: 1.0.0.35

The problem:
When running the BES 5.0 installation, I receive the following error:

"The setup application found one or more instances of BlackBerry® Enterprise Server version 4.1.2 or earlier, which is not compatible with BlackBerry Enterprise Server version 5.0 or later.  You must upgrade or remove the incompatible BlackBerry Enterprise Server instances, or create a new BlackBerry Domain for the BlackBerry Enterprise Server that you are installing."

Looking at the install log (attached), I found the following entry towards the bottom of the file:

[30000] (01/04 21:22:20.179):{0x1D30} <5>Jan 04 21:22:20 BLACKBERRYSERVER  {0x1CC4} 0168: (#35019) [ENV] [DB] Database Schema Version:  4.1.7 <4.1.2.2009.07.16>

This line shows the database schema as being version 4.1.7 but also has 4.1.2.. listed, which is what I'm assuming causing the error

There are additional errors in the log after this but I'm not focusing on them until I resolve the version issue.

I've updated to the latest Service Pack and the error still occurs.

The only reference to "4.1.2 or earlier" I can find is in the Help/About within BES Manager where it lists the USB Channel Controller; 4.1.0.11.

Any suggestions welcomed.

Thanks

Setup20100104102152.log
0
Comment
Question by:AVIVOL
2 Comments
 
LVL 12

Expert Comment

by:dlan75
ID: 26178849
Hi,
RIM advised me not to upgrade to 5 untill sp1 is out because the system is not really stable yet and it is very slow.
the best way to upgrade is to use another server and use the blackberry migration tools.
I am not sure you can upgrade direclty though you will find some usefull informations here : http://forums.crackberry.com/f50/bes-4-x-5-x-upgrade-possible-207187/
Hope that will help
0
 

Accepted Solution

by:
AVIVOL earned 0 total points
ID: 32957039
Finally figured out the problem. Service provider had given small business edition by mistake
0

Featured Post

What does it mean to be "Always On"?

Is your cloud always on? With an Always On cloud you won't have to worry about downtime for maintenance or software application code updates, ensuring that your bottom line isn't affected.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

The Confluence of Individual Knowledge and the Collective Intelligence At this writing (summer 2013) the term API (http://dictionary.reference.com/browse/API?s=t) has made its way into the popular lexicon of the English language.  A few years ago, …
Learn how to use the free Acronis True Image app to easily transfer data between iPhones and Android phones.
The purpose of this video is to demonstrate how to set up the WordPress backend so that each page automatically generates a Mailchimp signup form in the sidebar. This will be demonstrated using a Windows 8 PC. Tools Used are Photoshop, Awesome…
This lesson discusses how to use a Mainform + Subforms in Microsoft Access to find and enter data for payments on orders. The sample data comes from a custom shop that builds and sells movable storage structures that are delivered to your property. …
Suggested Courses
Course of the Month14 days, 6 hours left to enroll

807 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question